K = require('kcore')

class K.AuthProvider
  constructor: (@kRequest) ->
    K.Error.throwExceptionIfParameterNotSet(@kRequest, 'kRequest')

    @app    = @kRequest.getApp()
    @appLog = @kRequest.getAppLog()

    K.Error.throwExceptionIfParameterNotSet(@app, 'app')
    K.Error.throwExceptionIfParameterNotSet(@appLog, 'appLog')

  getAuthenticatedUserModelByAuthId: (authId, done) ->
    K.Error.throwNotImplemented('K.AuthProvider::getAuthenticatedUserModelByAuthId')

  isAuthenticatedIdentity: (authId, done) ->
    K.Error.throwNotImplemented('K.AuthProvider::isAuthenticatedIdentity')

  getAuthenticatedIdentities: (done) ->
    K.Error.throwNotImplemented('K.AuthProvider::getAuthenticatedIdentities')
