// Some dependencies are written in CoffeeScript
require('coffee-script').register();

// Log is a 1st thing to load
require('./KLog')

// authorization package
require('./KAuth')
require('./KAuthProvider')
require('./KAuthProviderAnonymous')
require('./KAuthProviderPassword')

// others
require('./KRequest')
require('./KEventServer')
require('./KLockManager')
require('./KFileManager')
require('./KFileTimestampTracker')
require('./KSiteMapManager')

// content
require('./KServerContent')

// workspace (environment) for one or more server-apps
require('./KServerWorkspace.js')

// various servers
require('./KServerStatsCollector')
require('./KWebSocketServer')
require('./KServerVHost')

// server-app
require('./KServerApp')
